MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022844Community[OCCT] OCCT:Visualizationpublic2011-12-13 16:552012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022844: Bug in Select2d_SensitiveSegment
DescriptionPost from the Forum (Massimo Del Fedele) - http://www.opencascade.org/org/forum/thread_22337/. [^]
"Here :

Standard_Boolean Select2D_SensitiveSegment::
Matches (const Standard_Real XMin,
      const Standard_Real YMin,
      const Standard_Real XMax,
      const Standard_Real YMax,
      const Standard_Real aTol)
{
Standard_Real TheTol = HasOwnTolerance()? myOwnTolerance : aTol;

Bnd_Box2d BoundBox;
BoundBox.Update(XMin-TheTol,YMin-TheTol,XMax+TheTol,YMax+TheTol);

if (BoundBox.IsOut(mystart)&&BoundBox.IsOut(myend)) return Standard_False;
return Standard_True;
}

the function returns true if ONE of both segment ends is inside given rectangle; it should return true
if BOTH ends are inside box, so the && should be replaced with ||.

Max"
================
It is confirmed by SAN that it is a bug.
This is clearly a typo so test case is not needed.
Additional information
and documentation updates
Mistyping in Standard_Boolean Select2D_SensitiveSegment::Matches(xmin, ymin, xmax, ymax) corrected, now this method returns Standard_True only when both ends are inside the selection rectangle.
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019707)
san (developer)
2012-02-21 18:03

SVN branch OCC22844 is ready for testing.
(0019729)
mkv (tester)
2012-02-22 14:50

Dear BugMaster,
Workbench KAS:dev:mkv-22844-occt was created from SVN branch http://svn/svn/occt/branches/OCC22844 [^]
(and mkv-22844-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22844-products regarding to KAS:dev:products-20120217-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22844-products_21022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120217-opt_17022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019742)
bugmaster (administrator)
2012-02-22 16:51

Integrated into trunk of occt repository

Date: 2012-02-22 16:49:54 +0400 (Wed, 22 Feb 2012)
New Revision: 10600

Modified:
   trunk/src/Select2D/Select2D_SensitiveSegment.cxx

- Related Changesets
occt: master 695bdd1b
Timestamp: 2012-02-22 12:49:54
Author: san
Committer: bugmaster
Details ] Diff ]
0022844: Bug in Select2d_SensitiveSegment
mod - src/Select2D/Select2D_SensitiveSegment.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-12-13 16:55 szy New Issue
2011-12-13 16:55 szy Assigned To => san
2012-02-21 17:54 san Status new => assigned
2012-02-21 18:00 san Description Updated View Revisions
2012-02-21 18:00 san Additional Information Updated View Revisions
2012-02-21 18:01 san Status assigned => resolved
2012-02-21 18:03 san Note Added: 0019707
2012-02-21 18:03 san Assigned To san => bugmaster
2012-02-21 18:03 san Status resolved => reviewed
2012-02-21 19:02 mkv Assigned To bugmaster => mkv
2012-02-22 14:50 mkv Note Added: 0019729
2012-02-22 14:50 mkv Test case number => Test case is not required
2012-02-22 14:50 mkv Assigned To mkv => bugmaster
2012-02-22 14:50 mkv Status reviewed => tested
2012-02-22 16:51 bugmaster Note Added: 0019742
2012-02-22 16:51 bugmaster Status tested => verified
2012-02-22 16:51 bugmaster Resolution open => fixed
2012-02-22 16:51 bugmaster Assigned To bugmaster => szy
2012-03-29 17:26 bugmaster Changeset attached => occt master 695bdd1b


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker